Skip to main content
GET
/
v1
/
orderbook
/
snapshot
Get orderbook snapshot
curl --request GET \
  --url https://api.roxom.com/v1/orderbook/snapshot \
  --header 'X-API-Key: <api-key>' \
  --header 'X-API-Signature: <api-key>'
{
  "data": {
    "buySellVersus": {
      "buy": "<string>",
      "sell": "<string>"
    },
    "buys": [
      {
        "price": "<string>",
        "size": "<string>",
        "total": "<string>"
      }
    ],
    "instrumentId": "<string>",
    "sells": [
      {
        "price": "<string>",
        "size": "<string>",
        "total": "<string>"
      }
    ]
  },
  "error": true
}

Authorizations

X-API-Key
string
header
required

Your API key

X-API-Signature
string
header
required

The signature of the request

Query Parameters

instType
enum<string>
required
Available options:
perpetual,
spot,
btc,
digital,
stock,
index
levels
integer<uint32> | null
Required range: x >= 0
symbol
string
required
unit
enum<string>
Available options:
sats,
btc

Response

200 - application/json

Represents a successful API response wrapper

data
object
required
error
boolean
required
Last modified on March 17, 2026